org.modeshape.jboss.lifecycle

## Class JBossLifeCycleListener

- java.lang.Object
- - org.modeshape.jboss.lifecycle.JBossLifeCycleListener

- All Implemented Interfaces:
    org.jboss.msc.service.ServiceContainer.TerminateListener, ContainerLifeCycleListener

      public class JBossLifeCycleListener
      extends Object
      implements org.jboss.msc.service.ServiceContainer.TerminateListener, ContainerLifeCycleListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.msc.service.ServiceContainer.TerminateListener

      `org.jboss.msc.service.ServiceContainer.TerminateListener.Info`

    - ### Nested classes/interfaces inherited from interface org.modeshape.jboss.lifecycle.ContainerLifeCycleListener

      `ContainerLifeCycleListener.LifeCycleEventListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossLifeCycleListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(ContainerLifeCycleListener.LifeCycleEventListener listener)`
    `void` | `handleTermination(org.jboss.msc.service.ServiceContainer.TerminateListener.Info info)`
    `boolean` | `isShutdownInProgress()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossLifeCycleListener

          public JBossLifeCycleListener()

  - ### Method Detail

    - #### isShutdownInProgress

          public boolean isShutdownInProgress()

      Specified by:
        `isShutdownInProgress` in interface `ContainerLifeCycleListener`

    - #### handleTermination

          public void handleTermination(org.jboss.msc.service.ServiceContainer.TerminateListener.Info info)

      Specified by:
        `handleTermination` in interface `org.jboss.msc.service.ServiceContainer.TerminateListener`

    - #### addListener

          public void addListener(ContainerLifeCycleListener.LifeCycleEventListener listener)

      Specified by:
        `addListener` in interface `ContainerLifeCycleListener`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.